Package org.eclipse.gef

# Interface DragTracker

All Superinterfaces:
  `Tool`

All Known Implementing Classes:
  `ConnectionBendpointTracker`, `ConnectionDragCreationTool`, `ConnectionEndpointTracker`, `DeselectAllTracker`, `DragEditPartsTracker`, `DragTreeItemsTracker`, `MarqueeDragTracker`, `ResizeTracker`, `SelectEditPartTracker`, `SimpleDragTracker`

public interface DragTracker extends Tool
A specialization of Tool that is used by the `SelectionTool` during a Mouse Drag. The `SelectionTool` obtains a `DragTracker` on mouse down, and forwards all input to that tracker until after the mouse is released. The SelectionTool also obtains DragTrackers in keyboard accessible ways.

## Method Summary

Modifier and Type
Method
Description
`void`
`commitDrag()`
The `SelectionTool` supports keyboard accessible drags.

### Methods inherited from interface org.eclipse.gef.Tool

`activate, deactivate, focusGained, focusLost, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, setEditDomain, setProperties, setViewer, viewerEntered, viewerExited`

## Method Details

### commitDrag

void commitDrag()
The `SelectionTool` supports keyboard accessible drags. In such scenarios it is up to the SelectionTool to interpret commit and abort keystrokes. Since the DragTracker cannot do this, this method is used to indicate that the User has committed the drag using the keyboard. Abort is not handled specially, and the DragTracker should peform the usual cleanup in its `Tool.deactivate()` method.